Bug 1021552 - Support for Debian Based systems in API
Support for Debian Based systems in API
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: API (Show other bugs)
2.0
All All
unspecified Severity low
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space21
  Show dependency treegraph
 
Reported: 2013-10-21 09:47 EDT by Martin Juhl
Modified: 2014-03-04 08:09 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Juhl 2013-10-21 09:47:24 EDT
Description of problem:
In Spacewalk 2.0 support for Debian-based systems are missing in the API in regards to software-channels management..

I'm trying to create a channel for Ubuntu through the API, but get an "Invalid architecture label".. 


How reproducible:
Every time

Steps to Reproduce:
1. Try to create a debian architecture based channel through the API.. I use spacecmd in my case..
2. softwarechannel_create -n "Ubuntu Raring 13.04" -l ubuntu-13.04-raring -a "AMD64 Debian"

I have also tried with other variations, such as: amd64-debian, amd64, ia32 debian...


Actual results:
ERROR: redstone.xmlrpc.XmlRpcFault: unhandled internal exception: Invalid architecture label


Expected results:
Channel should be created..

Additional info:
Comment 1 Martin Juhl 2013-10-21 10:07:18 EDT
Just figured out that the channel architectures are called: ia32-deb and amd64-deb...

So this bug can be closed

Maybe this should be added to the API documentation????
Comment 2 Tomas Lestach 2013-11-08 08:30:46 EST
Instead of having incomplete channel architecture list within the channel.software.create APIs documentation, I added a note to check channel.software.listArches API for complete listing

spacewalk.git: e5c58e1ab97c5c3f67fb9b30984872b897e9220a
Comment 3 Matej Kollar 2014-01-17 07:16:27 EST
Switching MODIFIED Spacewalk bugs to ON_QA before 2.1 release.
Comment 4 Matej Kollar 2014-03-04 08:08:37 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21
Comment 5 Matej Kollar 2014-03-04 08:09:10 EST
Spacewalk 2.1 has been released.
https://fedorahosted.org/spacewalk/wiki/ReleaseNotes21

Note You need to log in before you can comment on or make changes to this bug.